<template>
  <div id="app">
    <h1>SMAP - Container detection</h1>

    <!-- INPUT -->
    <label>Choose Image:</label>
    <ImageInput v-on:imgInputChanged="imgChanged" />

    <!-- PREVIEW -->
    <img
      id="preview"
      v-if="this.record.img.data"
      :src="this.record.img.data"
      alt="Image preview..."
    />

    <!-- SEND -->
    <div>
      <button
        class="btn btn--lg btn--secondary mt-3"
        v-bind:disabled="!this.record.img.data"
        @click="sendImage"
      >
        SEND
      </button>
    </div>
  </div>
</template>

<script>
import ImageInput from "./components/ImageInput";
import RecordService from "./services/RecordService"

export default {
  name: "App",
  components: {
    ImageInput,
  },

  data() {
    return {
      record: {
        id: null,
        name: null,
        img: {
          data: null,
          name: null,
          contentType: null,
        },
        predictedData: null
      },
    };
  },

  methods: {
    imgChanged(newImg) {
      this.record.img = newImg;
    },
    sendImage() {
      RecordService.insertRecord(this.record).then(result => {
        console.log("SUCCESS!");
        console.log(result);
      }).catch( ex => {
        console.log("ERROR!");
        console.log(ex);
      })
    },
  },
};
</script>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}

#preview {
  max-height: 300px;
}
</style>
